./goblint --conf conf/svcomp-yaml-validate.json --enable dbg.timing.enabled --set 'ana.activated[+]' apron --set ana.apron.domain polyhedra --witness.yaml.unassume /mnt/thread-witnesses/replication/bench/thread-witnesses/st-same/../../../results/st-same/ourtool.2023-01-27_15-24-18.files/loop-head/cggmp2005b.yml/witness.yml --witness.yaml.validate /mnt/thread-witnesses/replication/bench/thread-witnesses/st-same/../../../results/st-same/ourtool.2023-01-27_15-24-18.files/loop-head/cggmp2005b.yml/witness.yml --enable witness.invariant.loop-head --disable witness.invariant.other --disable witness.invariant.accessed --sets ana.specification /mnt/thread-witnesses/replication/sv-benchmarks/c/properties/unreach-call.prp --sets exp.architecture 32bit /mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i


--------------------------------------------------------------------------------


--sets is deprecated, use --set instead.
--sets is deprecated, use --set instead.
SV-COMP specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
[Info][Witness] unassume invariant: ((((((((((k != 0 && j != 0) && (909LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL) && (-9LL + 5LL * (long long )i) + (long long )k >= 0LL) && (-116LL + (long long )j) + 24LL * (long long )k >= 0LL) && k <= 127) && k <= 9) && i <= 101) && 4 <= k) && 0 <= k) && 0 <= i) && -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:28:5-28:13)
[Info][Witness] unassume invariant: (((((((((k != 0 && (914LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL) && 101LL - (long long )i >= 0LL) && (-14LL + 5LL * (long long )i) + (long long )k >= 0LL) && (-116LL + (long long )j) + 24LL * (long long )k >= 0LL) && k <= 127) && k <= 9) && i <= 101) && 1 <= i) && 0 <= k) && -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:32:6-32:15)
[Info][Witness] unassume invariant: (((((((((k != 0 && (914LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL) && 101LL - (long long )i >= 0LL) && (-14LL + 5LL * (long long )i) + (long long )k >= 0LL) && (-116LL + (long long )j) + 24LL * (long long )k >= 0LL) && k <= 127) && k <= 9) && i <= 101) && 1 <= i) && 0 <= k) && -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:30:2-30:11)
[Info][Witness] unassume invariant: (((((j != 0 && 101LL - (long long )i >= 0LL) && -1LL + (long long )i >= 0LL) && -20LL + (long long )j >= 0LL) && i <= 101) && 20 <= j) && 1 <= i (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:34:2-34:7)
[Info][Witness] unassume invariant: ((((((((((k != 0 && j != 0) && (909LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL) && (-9LL + 5LL * (long long )i) + (long long )k >= 0LL) && (-116LL + (long long )j) + 24LL * (long long )k >= 0LL) && k <= 127) && k <= 9) && i <= 101) && 4 <= k) && 0 <= k) && 0 <= i) && -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9-35:15)
[Warning][Deadcode] Function 'assume_abort_if_not' is uncalled: 2 LLoC (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:14:1-16:1)
[Warning][Deadcode] Function 'main' has dead code:
  on line 36 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:36-36)
[Warning][Deadcode] Logical lines of code (LLoC) summary:
  live: 17
  dead: 3 (2 in uncalled functions)
  total lines: 20
[Warning][Deadcode][CWE-570] condition 'k <= 3' (possibly inserted by CIL) is always false (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9-35:15)
[Warning][Deadcode][CWE-570] condition '0' (possibly inserted by CIL) is always false (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:12:73-12:74)
[Success][Witness] invariant confirmed: -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: 0 <= i (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: 0 <= k (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: 4 <= k (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: i <= 101 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: k <= 9 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: k <= 127 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: (-116LL + (long long )j) + 24LL * (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: (-9LL + 5LL * (long long )i) + (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Warning][Witness] invariant unconfirmed: (909LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: j != 0 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: k != 0 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:29:12)
[Success][Witness] invariant confirmed: -100 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: 0 <= k (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: 1 <= i (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: i <= 101 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: k <= 9 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: k <= 127 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: (-116LL + (long long )j) + 24LL * (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: (-14LL + 5LL * (long long )i) + (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: 101LL - (long long )i >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Warning][Witness] invariant unconfirmed: (914LL - 5LL * (long long )i) - 101LL * (long long )k >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: k != 0 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:31:9)
[Success][Witness] invariant confirmed: 1 <= i (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: 20 <= j (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: i <= 101 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: -20LL + (long long )j >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: -1LL + (long long )i >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: 101LL - (long long )i >= 0LL (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Success][Witness] invariant confirmed: j != 0 (/mnt/thread-witnesses/replication/sv-benchmarks/c/loop-lit/cggmp2005b.i:35:9)
[Info][Witness] witness validation summary:
  confirmed: 28
  unconfirmed: 2
  refuted: 0
  error: 0
  unchecked: 0
  unsupported: 0
  disabled: 0
  total validation entries: 30
SV-COMP result: unknown

vars = 32    evals = 54    narrow_reuses = 7

Timings:
                                  cputime   walltime   allocated   count
Default                            0.142s     0.143s     95.77MB      1×
  preprocess                         0.027s     0.025s      0.01MB      1×
  FrontC                             0.004s     0.004s      4.14MB      4×
  Cabs2cil                           0.006s     0.006s      4.74MB      4×
  mergeCIL                           0.004s     0.004s      3.34MB      1×
  analysis                           0.098s     0.098s     78.02MB      1×
    createCFG                          0.001s     0.001s      0.62MB      1×
      handle                             0.001s     0.001s      0.09MB     34×
      iter_connect                       0.001s     0.001s      0.41MB     34×
        computeSCCs                        0.001s     0.001s      0.24MB     35×
    FrontC                             0.001s     0.001s      0.44MB     60×
    Cabs2cil                           0.013s     0.013s      5.63MB     60×
    global_inits                       0.001s     0.001s      0.05MB      1×
    solving                            0.053s     0.053s     37.18MB      1×
      S.Dom.equal                        0.001s     0.001s      0.03MB     61×
      base unassume                      0.019s     0.019s     18.05MB     22×
      cheap_full_reach                   0.001s     0.001s      0.02MB      1×
      postsolver                         0.007s     0.007s      5.38MB      1×
        postsolver_iter                    0.007s     0.007s      5.35MB      1×
    warn_global                        0.001s     0.001s      0.13MB      1×
    witness                            0.001s     0.001s      0.01MB      1×
    result output                      0.001s     0.001s      0.01MB      1×
